-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 29, 2024 at 08:28 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_school_asset_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accountable_person`
--

CREATE TABLE `tbl_accountable_person` (
  `accountable_person_id` int(11) NOT NULL,
  `complete_name` varchar(150) NOT NULL,
  `email_address` varchar(100) NOT NULL,
  `contact_number` varchar(15) DEFAULT NULL,
  `profile_image` varchar(255) DEFAULT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_asset`
--

CREATE TABLE `tbl_asset` (
  `asset_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `barcode` varchar(100) DEFAULT NULL,
  `asset_name` varchar(150) NOT NULL,
  `description` text DEFAULT NULL,
  `status` enum('active','returned','disposed','maintenance') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_assignment`
--

CREATE TABLE `tbl_assignment` (
  `assignment_id` int(11) NOT NULL,
  `accountable_person_id` int(11) NOT NULL,
  `asset_id` int(11) NOT NULL,
  `office_id` int(11) NOT NULL,
  `location_id` int(11) NOT NULL,
  `assignment_date` date NOT NULL,
  `status` enum('active','returned','disposed','maintenance') NOT NULL,
  `remarks` text DEFAULT NULL,
  `upload_mr` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_assignment_history`
--

CREATE TABLE `tbl_assignment_history` (
  `assignment_id` int(11) NOT NULL,
  `accountable_person_id` int(11) NOT NULL,
  `asset_id` int(11) NOT NULL,
  `office_id` int(11) NOT NULL,
  `location_id` int(11) NOT NULL,
  `assignment_date` date NOT NULL,
  `status` enum('active','returned','disposed','maintenance') NOT NULL,
  `remarks` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_category`
--

CREATE TABLE `tbl_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(100) NOT NULL,
  `description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_location`
--

CREATE TABLE `tbl_location` (
  `location_id` int(11) NOT NULL,
  `location_name` varchar(100) NOT NULL,
  `location_address` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_office`
--

CREATE TABLE `tbl_office` (
  `office_id` int(11) NOT NULL,
  `office_name` varchar(100) NOT NULL,
  `description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_transfer`
--

CREATE TABLE `tbl_transfer` (
  `transfer_id` int(11) NOT NULL,
  `assignment_id` int(11) NOT NULL,
  `accountable_person_id_from` int(11) NOT NULL,
  `accountable_person_id_to` int(11) NOT NULL,
  `transfer_date` date NOT NULL,
  `remarks` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_accountable_person`
--
ALTER TABLE `tbl_accountable_person`
  ADD PRIMARY KEY (`accountable_person_id`);

--
-- Indexes for table `tbl_asset`
--
ALTER TABLE `tbl_asset`
  ADD PRIMARY KEY (`asset_id`),
  ADD UNIQUE KEY `barcode` (`barcode`),
  ADD KEY `category_id` (`category_id`);

--
-- Indexes for table `tbl_assignment`
--
ALTER TABLE `tbl_assignment`
  ADD PRIMARY KEY (`assignment_id`),
  ADD KEY `accountable_person_id` (`accountable_person_id`),
  ADD KEY `asset_id` (`asset_id`),
  ADD KEY `office_id` (`office_id`),
  ADD KEY `location_id` (`location_id`);

--
-- Indexes for table `tbl_assignment_history`
--
ALTER TABLE `tbl_assignment_history`
  ADD PRIMARY KEY (`assignment_id`),
  ADD KEY `accountable_person_id` (`accountable_person_id`),
  ADD KEY `asset_id` (`asset_id`),
  ADD KEY `office_id` (`office_id`),
  ADD KEY `location_id` (`location_id`);

--
-- Indexes for table `tbl_category`
--
ALTER TABLE `tbl_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `tbl_location`
--
ALTER TABLE `tbl_location`
  ADD PRIMARY KEY (`location_id`);

--
-- Indexes for table `tbl_office`
--
ALTER TABLE `tbl_office`
  ADD PRIMARY KEY (`office_id`);

--
-- Indexes for table `tbl_transfer`
--
ALTER TABLE `tbl_transfer`
  ADD PRIMARY KEY (`transfer_id`),
  ADD KEY `assignment_id` (`assignment_id`),
  ADD KEY `accountable_person_id_from` (`accountable_person_id_from`),
  ADD KEY `accountable_person_id_to` (`accountable_person_id_to`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_accountable_person`
--
ALTER TABLE `tbl_accountable_person`
  MODIFY `accountable_person_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_asset`
--
ALTER TABLE `tbl_asset`
  MODIFY `asset_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_assignment`
--
ALTER TABLE `tbl_assignment`
  MODIFY `assignment_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_assignment_history`
--
ALTER TABLE `tbl_assignment_history`
  MODIFY `assignment_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_category`
--
ALTER TABLE `tbl_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_location`
--
ALTER TABLE `tbl_location`
  MODIFY `location_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_office`
--
ALTER TABLE `tbl_office`
  MODIFY `office_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_transfer`
--
ALTER TABLE `tbl_transfer`
  MODIFY `transfer_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_asset`
--
ALTER TABLE `tbl_asset`
  ADD CONSTRAINT `tbl_asset_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `tbl_category` (`category_id`);

--
-- Constraints for table `tbl_assignment`
--
ALTER TABLE `tbl_assignment`
  ADD CONSTRAINT `tbl_assignment_ibfk_1` FOREIGN KEY (`accountable_person_id`) REFERENCES `tbl_accountable_person` (`accountable_person_id`),
  ADD CONSTRAINT `tbl_assignment_ibfk_2` FOREIGN KEY (`asset_id`) REFERENCES `tbl_asset` (`asset_id`),
  ADD CONSTRAINT `tbl_assignment_ibfk_3` FOREIGN KEY (`office_id`) REFERENCES `tbl_office` (`office_id`),
  ADD CONSTRAINT `tbl_assignment_ibfk_4` FOREIGN KEY (`location_id`) REFERENCES `tbl_location` (`location_id`);

--
-- Constraints for table `tbl_transfer`
--
ALTER TABLE `tbl_transfer`
  ADD CONSTRAINT `tbl_transfer_ibfk_1` FOREIGN KEY (`assignment_id`) REFERENCES `tbl_assignment` (`assignment_id`),
  ADD CONSTRAINT `tbl_transfer_ibfk_2` FOREIGN KEY (`accountable_person_id_from`) REFERENCES `tbl_accountable_person` (`accountable_person_id`),
  ADD CONSTRAINT `tbl_transfer_ibfk_3` FOREIGN KEY (`accountable_person_id_to`) REFERENCES `tbl_accountable_person` (`accountable_person_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
